LASTLOG(8)

NAME
lastlog - berichtet die letzte Anmeldung für alle oder einen bestimmten Benutzer

ÜBERSICHT

lastlog [Optionen]

BESCHREIBUNG

lastlog formats and prints the contents of the last login log /var/log/lastlog file. The login-name, port, and last login time will be printed. The default (no flags) causes lastlog entries to be printed, sorted by their order in /etc/passwd.

OPTIONEN

The options which apply to the lastlog command are:

-b, --before DAYS
    Print only lastlog records older than DAYS.

-C, --clear
    Clear lastlog record of a user. This option can be used only together with -u (--user)).

-h, --help
    zeigt die Hilfe an und beendet das Programm

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-S, --set
    Set lastlog record of a user to the current time. This option can be used only together with -u (--user)).

-t, --time DAYS
    Print the lastlog records more recent than DAYS.

-u, --user LOGIN|RANGE
    gibt nur die Lastlog-Einträge für die angegebenen Benutzer aus

    The users can be specified by a login name, a numerical user ID, or a RANGE of users. This RANGE of users can be specified with a min and max values (UID_MIN-UID_MAX), a max value (-UID_MAX), or a min value (UID_MIN-).

If the user has never logged in the message ** Never logged in** will be displayed instead of the port and time.

Es werden nur Einträge für auf dem System vorhandene Benutzer angezeigt, selbst wenn Einträge über gelöschte Benutzer noch vorhanden sind.

ANMERKUNGEN

The lastlog file is a database which contains info on the last login of each user. You should not rotate it. It is a sparse file, so its size on the disk is usually much smaller than the one shown by "ls -l" (which can indicate a really big file if you have in passwd users with a high UID). You can display its real size with "ls -s".

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/var/log/lastlog
    Datenbank mit Zeiten der letzten Anmeldung der Benutzer

WARNUNGEN

Große Lücken in den UID-Zahlen haben zur Folge, dass das Lastlog-Programm längere Zeit ohne Bildschirmausgabe läuft. Wenn sich z.B. in der Datenbank von Lastlog kein Eintrag für Benutzer mit der UID zwischen 170 und 800 befindet, wird es scheinen, als ob lastlog stehen geblieben ist, während es die Einträge mit der UID 171 bis 799 verarbeitet.

Having high UIDs can create problems when handling the <term> /var/log/lastlog</term> with external tools. Although the actual file is sparse and does not use too much space, certain applications are not designed to identify sparse files by default and may require a specific option to handle them.